summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2018-08-05 16:34:43 +0100
committerAmy Liffey <amynka@gentoo.org>2018-08-05 16:37:17 +0100
commit0553c73ec423b80b07df52b87db616d17a2f00eb (patch)
tree06baed8ebd31bc2d0758308ef09f361810585d16
parentapp-xemacs/egg-its: version bump (diff)
downloadgentoo-0553c73ec423b80b07df52b87db616d17a2f00eb.tar.gz
gentoo-0553c73ec423b80b07df52b87db616d17a2f00eb.tar.bz2
gentoo-0553c73ec423b80b07df52b87db616d17a2f00eb.zip
sci-geosciences/merkaartor: fix plugins path
Closes: https://bugs.gentoo.org/621826 Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--sci-geosciences/merkaartor/files/merkaartor-0.18.3-sharedir-pluginsdir.patch28
-rw-r--r--sci-geosciences/merkaartor/merkaartor-0.18.3-r3.ebuild91
2 files changed, 119 insertions, 0 deletions
diff --git a/sci-geosciences/merkaartor/files/merkaartor-0.18.3-sharedir-pluginsdir.patch b/sci-geosciences/merkaartor/files/merkaartor-0.18.3-sharedir-pluginsdir.patch
new file mode 100644
index 00000000000..46f5964e17c
--- /dev/null
+++ b/sci-geosciences/merkaartor/files/merkaartor-0.18.3-sharedir-pluginsdir.patch
@@ -0,0 +1,28 @@
+--- a/src/src.pro 2018-08-05 13:25:02.761849538 +0100
++++ b/src/src.pro 2018-08-05 13:25:55.935846789 +0100
+@@ -155,8 +155,10 @@
+ isEmpty( LIBDIR ) {
+ LIBDIR = $${PREFIX}/lib${LIB_SUFFIX}
+ }
+-
+- DEFINES += PLUGINS_DIR=$${LIBDIR}/merkaartor/plugins
++ isEmpty( PLUGINS_DIR ){
++ PLUGINS_DIR=$${LIBDIR}/merkaartor/plugins
++ }
++ DEFINES += PLUGINS_DIR=$${PLUGINS_DIR}
+
+ target.path = $${PREFIX}/bin
+ SHARE_DIR = $${PREFIX}/share/merkaartor
+
+--- a/src/src.pro 2018-08-05 16:20:33.759305219 +0100
++++ b/src/src.pro 2018-08-05 16:20:53.094304220 +0100
+@@ -181,7 +181,7 @@
+
+
+
+-DEFINES += SHARE_DIR=$${SHARE_DIR}
++DEFINES += SHARE_DIR=$${SHARE_DIR_PATH}
+ INSTALLS += target
+
+ win32-msvc* {
+
diff --git a/sci-geosciences/merkaartor/merkaartor-0.18.3-r3.ebuild b/sci-geosciences/merkaartor/merkaartor-0.18.3-r3.ebuild
new file mode 100644
index 00000000000..19e627bdad4
--- /dev/null
+++ b/sci-geosciences/merkaartor/merkaartor-0.18.3-r3.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="ar cs de en es et fr hr hu id_ID it ja nl pl pt_BR pt ru sk sv uk vi zh_CN zh_TW"
+
+inherit gnome2-utils l10n qmake-utils xdg-utils
+
+DESCRIPTION="Qt based map editor for the openstreetmap.org project"
+HOMEPAGE="http://www.merkaartor.be https://github.com/openstreetmap/merkaartor"
+SRC_URI="https://github.com/openstreetmap/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug exif gps libproxy"
+
+RDEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ dev-qt/qtsingleapplication[X,qt5(+)]
+ >=sci-libs/gdal-1.6.0
+ >=sci-libs/proj-4.6
+ sys-libs/zlib
+ exif? ( media-gfx/exiv2:= )
+ gps? ( >=sci-geosciences/gpsd-3.17-r2 )
+ libproxy? ( net-libs/libproxy )
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+ virtual/pkgconfig
+"
+PATCHES=( "${FILESDIR}/${P}-sharedir-pluginsdir.patch" ) # bug 621826
+DOCS=( AUTHORS CHANGELOG )
+
+src_prepare() {
+ default
+
+ my_rm_loc() {
+ sed -i -e "s:../translations/${PN}_${1}.\(ts\|qm\)::" src/src.pro || die
+ rm "translations/${PN}_${1}.ts" || die
+ }
+
+ if [[ -n "$(l10n_get_locales)" ]]; then
+ l10n_for_each_disabled_locale_do my_rm_loc
+ $(qt5_get_bindir)/lrelease src/src.pro || die
+ fi
+
+ # build system expects to be building from git
+ sed -i "${S}"/src/Config.pri -e "s:SION = .*:SION = \"${PV}\":g" || die
+}
+
+src_configure() {
+ # TRANSDIR_SYSTEM is for bug #385671
+ eqmake5 \
+ PREFIX="${ED%/}/usr" \
+ LIBDIR="${ED%/}/usr/$(get_libdir)" \
+ PLUGINS_DIR="/usr/$(get_libdir)/plugins" \
+ SHARE_DIR_PATH="/usr/share/${PN}" \
+ TRANSDIR_MERKAARTOR="${ED%/}/usr/share/${PN}/translations" \
+ TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt5/translations" \
+ SYSTEM_QTSA=1 \
+ RELEASE=1 \
+ NODEBUG="$(usex debug '0' '1')" \
+ GEOIMAGE="$(usex exif '1' '0')" \
+ GPSDLIB="$(usex gps '1' '0')" \
+ LIBPROXY="$(usex libproxy '1' '0')" \
+ ZBAR=0 \
+ Merkaartor.pro
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}